Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rolla.xyz/api/v1/external/beneficiaries/{beneficiaryId} \ --header 'X-API-Key: <api-key>'
{ "success": true, "message": "Beneficiary retrieved successfully", "data": { "beneficiary": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "currency": "NGN", "label": "Office rent", "account_name": "JOHN DOE", "account_number": "0123456789", "bank_name": "Access Bank", "bank_code": "000014", "bank_address": "<string>", "swift_code": "<string>", "email": "jsmith@example.com", "contact_person": "<string>", "beneficiary_address": "<string>", "routing_number": "<string>", "wallet_address": "<string>", "wallet_chain": "<string>", "intermediary_bank_name": "<string>", "intermediary_bank_routing_number": "<string>", "recipient_business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } } }
Retrieves a specific beneficiary by ID.
curl -X GET "https://api.rolla.xyz/api/v1/external/beneficiaries/c3d4e5f6-a7b8-9012-cdef-123456789012" \ -H "X-API-Key: your_api_key_here"
{ "status": 200, "success": true, "message": "Beneficiary retrieved successfully", "data": { "id": "c3d4e5f6-a7b8-9012-cdef-123456789012", "currency": "NGN", "label": "Office rent", "account_name": "JOHN DOE", "account_number": "0123456789", "bank_name": "Access Bank", "bank_code": "000014", "withdrawal_method": null, "email": "john@example.com", "created_at": "2024-01-10T08:00:00.000Z", "updated_at": "2024-01-10T08:00:00.000Z" } }
Your Rolla API key
Beneficiary UUID
Beneficiary retrieved successfully
true
"Beneficiary retrieved successfully"
Show child attributes